from datetime import date, datetime
from random import getrandbits

from cltl.commons.discrete import UtteranceType

context_id, place_id, start_date = getrandbits(8), getrandbits(8), date(2017, 10, 24)
chat_1 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 1,
               "turn": 1,
               "author": {"label": "piek", "type": ["person"],
                          'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "Lenka is from Serbia",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "serbia", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/serbia"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 1,
               "turn": 2,
               "author": {"label": "piek", "type": ["person"],
                          'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "Bram is from the Netherlands",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "netherlands", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/netherlands"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 1,
               "turn": 3,
               "author": {"label": "piek", "type": ["person"],
                          'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "Selene is from Mexico",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "mexico", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/mexico"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 1,
               "turn": 4,
               "author": {"label": "piek", "type": ["person"],
                          'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "Suzana is from Croatia",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "suzana", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/suzana-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "croatia", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/croatia"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 1,
               "turn": 5,
               "author": {"label": "piek", "type": ["person"],
                          'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "Selene Kolman is from the Netherlands",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-2"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "netherlands", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/netherlands"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               }
          ]
          )
context_id, start_date = getrandbits(8), date(2017, 11, 17)
chat_2 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam", },
          [
              {"chat": 2,
               "turn": 1,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "I think Lenka is from Serbia",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "serbia", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/serbia"},
               "perspective": {"certainty": 0.5,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 2,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Bram likes goulash",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "goulash", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/goulash"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 3,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Bram likes romantic movies",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "romantic-movies", "type": ["film-genre"],
                          "uri": "http://cltl.nl/leolani/world/romantic-movies"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 4,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Lenka likes ice cream",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "ice-cream", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/ice-cream"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 5,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Lenka likes Harry Potter",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "harry-potter", "type": ["movie"],
                          "uri": "http://cltl.nl/leolani/world/harry-potter"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 6,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Lenka likes action movies",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "action-movies", "type": ["film-genre"],
                          "uri": "http://cltl.nl/leolani/world/action-movies"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 7,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Piek likes balkenbrij",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "piek", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/piek-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "balkenbrij", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/balkenbrij"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 8,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Piek likes sailing",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "piek", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/piek-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "sailing", "type": ["sport"],
                          "uri": "http://cltl.nl/leolani/world/sailing"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 9,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "I like tacos",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "tacos", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/tacos"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 10,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Suzana likes pizza",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "suzana", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/suzana-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "pizza", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/pizza"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 2,
               "turn": 11,
               "author": {"label": "selene", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/selene-1"},
               "utterance": "Leolani is from France",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "leolani", "type": ["robot"],
                           "uri": "http://cltl.nl/leolani/world/leolani"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "france", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/france"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               }
          ]
          )
context_id, start_date = getrandbits(8), date(2018, 3, 20)
chat_3 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 3,
               "turn": 1,
               "author": {"label": "lenka", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lenka-1"},
               "utterance": "Lenka's mother is Ljubica ",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "mother-is", "uri": "http://cltl.nl/leolani/n2mu/mother-is"},
               "object": {"label": "ljubica", "type": ["person"],
                          "uri": "http://cltl.nl/leolani/world/ljubica-1"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 3,
               "turn": 2,
               "author": {"label": "lenka", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lenka-1"},
               "utterance": "My love cake ",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "love", "uri": "http://cltl.nl/leolani/n2mu/love"},
               "object": {"label": "cake", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/cake"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 3,
               "turn": 3,
               "author": {"label": "lenka", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lenka-1"},
               "utterance": "Selene likes Coco",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "coco", "type": ["movie"],
                          "uri": "http://cltl.nl/leolani/world/coco"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 3,
               "turn": 4,
               "author": {"label": "lenka", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lenka-1"},
               "utterance": "Bram likes The Big Lebowski",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "the_big-lebowski", "type": ["movie"],
                          "uri": "http://cltl.nl/leolani/world/the_big-lebowski"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 3,
               "turn": 5,
               "author": {"label": "lenka", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lenka-1"},
               "utterance": "Piek likes 2001 A Space Odyssey",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "piek", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/piek-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "2001_a_space-odyssey", "type": ["movie"],
                          "uri": "http://cltl.nl/leolani/world/2001_a_space-odyssey"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 3,
               "turn": 6,
               "author": {"label": "lenka", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lenka-1"},
               "utterance": "Piek likes horror movies",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "piek", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/piek-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "horror-movies", "type": ["film-genre"],
                          "uri": "http://cltl.nl/leolani/world/horror-movies"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
          ]
          )
context_id, start_date = getrandbits(8), date(2018, 3, 23)
chat_4 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 4,
               "turn": 1,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "I like action movies ",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "action-movies", "type": ["film-genre"],
                          "uri": "http://cltl.nl/leolani/world/action-movies"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 4,
               "turn": 2,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "I am from Italy ",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "italy", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/italy"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 4,
               "turn": 3,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "I do not like goulash",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-21",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "goulash", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/goulash"},
               "perspective": {"certainty": 1,
                               "polarity": -1,
                               "sentiment": -1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 4,
               "turn": 4,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "I like baseball",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "baseball", "type": ["sport"],
                          "uri": "http://cltl.nl/leolani/world/baseball"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 4,
               "turn": 5,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "I like apple pie",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "apple-pie", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/apple-pie"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 4,
               "turn": 6,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "Selene likes animated movies",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "animated-movies", "type": ["film-genre"],
                          "uri": "http://cltl.nl/leolani/world/animated-movies"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 4,
               "turn": 7,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "Lenka likes acrobatics",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "lenka", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "acrobatics", "type": ["sport"],
                          "uri": "http://cltl.nl/leolani/world/acrobatics"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 4,
               "turn": 8,
               "author": {"label": "bram", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/bram-1"},
               "utterance": "Leolani is from Japan",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "leolani", "type": ["robot"],
                           "uri": "http://cltl.nl/leolani/world/leolani"},
               "predicate": {"label": "manufacture-in", "uri": "http://cltl.nl/leolani/n2mu/manufacture-in"},
               "object": {"label": "japan", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/japan"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
          ]
          )
context_id, start_date = getrandbits(8), date(2018, 3, 25)
chat_5 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 5,
               "turn": 1,
               "author": {"label": "piek", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "Bram likes romantic movies",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "romantic-movies", "type": ["film-genre"],
                          "uri": "http://cltl.nl/leolani/world/romantic-movies"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 5,
               "turn": 2,
               "author": {"label": "piek", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "Selene does not like tacos",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-26",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "tacos", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/tacos"},
               "perspective": {"certainty": 1,
                               "polarity": -1,
                               "sentiment": -1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 5,
               "turn": 3,
               "author": {"label": "piek", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/piek-1"},
               "utterance": "I hate tacos",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-12",
               "subject": {"label": "piek", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/piek-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "tacos", "type": ["dish"],
                          "uri": "http://cltl.nl/leolani/world/tacos"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": -1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
          ]
          )
context_id, start_date = getrandbits(8), date(2019, 5, 19)
chat_6 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 6,
               "turn": 1,
               "author": {"label": "suzana", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/suzana-1"},
               "utterance": "Bram is not from the Netherlands",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "netherlands", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/netherlands"},
               "perspective": {"certainty": 1,
                               "polarity": -1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 6,
               "turn": 2,
               "author": {"label": "suzana", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/suzana-1"},
               "utterance": "Piek is from the Netherlands",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "piek", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/piek-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "netherlands", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/netherlands"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 6,
               "turn": 3,
               "author": {"label": "suzana", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/suzana-1"},
               "utterance": "Selene likes soccer",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-25",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "soccer", "type": ["sport"],
                          "uri": "http://cltl.nl/leolani/world/soccer"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 6,
               "turn": 4,
               "author": {"label": "suzana", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/suzana-1"},
               "utterance": "Bram knows Lenka",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-16",
               "subject": {"label": "bram", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/bram-1"},
               "predicate": {"label": "know", "uri": "http://cltl.nl/leolani/n2mu/know"},
               "object": {"label": "lenka", "type": ["person"],
                          "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 6,
               "turn": 5,
               "author": {"label": "suzana", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/suzana-1"},
               "utterance": "Selene knows Lenka",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-16",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "know", "uri": "http://cltl.nl/leolani/n2mu/know"},
               "object": {"label": "lenka", "type": ["person"],
                          "uri": "http://cltl.nl/leolani/world/lenka-1"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
          ]
          )
context_id, start_date = getrandbits(8), date(2020, 6, 9)
chat_7 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 7,
               "turn": 1,
               "author": {"label": "lenka", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lenka-1"},
               "utterance": "I think Selene is from Peru",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-27",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "peru", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/peru"},
               "perspective": {"certainty": 0.5,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
          ]
          )

context_id, start_date = getrandbits(8), date(2020, 9, 19)
chat_8 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 8,
               "turn": 1,
               "author": {"label": "lea", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lea-1"},
               "utterance": "Jaap has three teapots",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-22",
               "subject": {"label": "jaap", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/jaap-1"},
               "predicate": {"label": "have", "uri": "http://cltl.nl/leolani/n2mu/have"},
               "object": {"label": "teapot", "type": ["artifact"],
                          "uri": "http://cltl.nl/leolani/world/teapot"},
               "perspective": {"certainty": 0.75,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 8,
               "turn": 2,
               "author": {"label": "lea", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lea-1"},
               "utterance": "I love blue",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-27",
               "subject": {"label": "lea", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lea-1"},
               "predicate": {"label": "love", "uri": "http://cltl.nl/leolani/n2mu/love"},
               "object": {"label": "blue", "type": ["adj.all"],
                          "uri": "http://cltl.nl/leolani/world/blue"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 8,
               "turn": 3,
               "author": {"label": "lea", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lea-1"},
               "utterance": "I think Selene is tall",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-22",
               "subject": {"label": "selene", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/selene-1"},
               "predicate": {"label": "be", "uri": "http://cltl.nl/leolani/n2mu/be"},
               "object": {"label": "tall", "type": ["adj.all"],
                          "uri": "http://cltl.nl/leolani/world/tall"},
               "perspective": {"certainty": 0.4,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 8,
               "turn": 4,
               "author": {"label": "lea", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lea-1"},
               "utterance": "I like swimming and biking",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-26",
               "subject": {"label": "lea", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lea-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "swimming-and-biking", "type": ["act"],
                          "uri": "http://cltl.nl/leolani/world/swimming-and-biking"},
               "perspective": {"certainty": 0.8,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 8,
               "turn": 5,
               "author": {"label": "lea", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lea-1"},
               "utterance": "I'm from Dusseldorf",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-27",
               "subject": {"label": "lea", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lea-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "dusseldorf", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/dusseldorf"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 8,
               "turn": 6,
               "author": {"label": "lea", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/lea-1"},
               "utterance": "I don't like celery",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-19",
               "subject": {"label": "lea", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/lea-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "celery", "type": ["food"],
                          "uri": "http://cltl.nl/leolani/world/celery"},
               "perspective": {"certainty": 0.9,
                               "polarity": -1,
                               "sentiment": -1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
          ]
          )
context_id, start_date = getrandbits(8), date(2020, 9, 21)
chat_9 = ({"context_id": context_id,
           "date": start_date,
           "place": "Piek's office",
           "place_id": place_id,
           "country": "Netherlands",
           "region": "North Holland",
           "city": "Amsterdam"},
          [
              {"chat": 9,
               "turn": 1,
               "author": {"label": "thomas", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/thomas-1"},
               "utterance": "I live in Berlin",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-26",
               "subject": {"label": "thomas", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/thomas-1"},
               "predicate": {"label": "live-in", "uri": "http://cltl.nl/leolani/n2mu/live-in"},
               "object": {"label": "berlin", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/berlin"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 9,
               "turn": 2,
               "author": {"label": "thomas", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/thomas-1"},
               "utterance": "I am from Munich",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-16",
               "subject": {"label": "thomas", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/thomas-1"},
               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
               "object": {"label": "munich", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/munich"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 9,
               "turn": 3,
               "author": {"label": "thomas", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/thomas-1"},
               "utterance": "I studied in Budapest",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-21",
               "subject": {"label": "thomas", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/thomas-1"},
               "predicate": {"label": "study-in", "uri": "http://cltl.nl/leolani/n2mu/study-in"},
               "object": {"label": "budapest", "type": ["location"],
                          "uri": "http://cltl.nl/leolani/world/budapest"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 0
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 9,
               "turn": 4,
               "author": {"label": "thomas", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/thomas-1"},
               "utterance": "I like Asian food",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-17",
               "subject": {"label": "thomas", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/thomas-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "asian-food", "type": ["cuisine"],
                          "uri": "http://cltl.nl/leolani/world/asian-food"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
              {"chat": 9,
               "turn": 5,
               "author": {"label": "thomas", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/thomas-1"},
               "utterance": "I like electronic music",
               "utterance_type": UtteranceType.STATEMENT,
               "position": "0-23",
               "subject": {"label": "thomas", "type": ["person"],
                           "uri": "http://cltl.nl/leolani/world/thomas-1"},
               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
               "object": {"label": "electronic-music", "type": ["music"],
                          "uri": "http://cltl.nl/leolani/world/electronic-music"},
               "perspective": {"certainty": 1,
                               "polarity": 1,
                               "sentiment": 1
                               },
               "timestamp": datetime.combine(start_date, datetime.now().time()),
               "context_id": context_id
               },
          ]
          )
context_id, start_date = getrandbits(8), date(2020, 9, 24)
chat_10 = ({"context_id": context_id,
            "date": start_date,
            "place": "Piek's office",
            "place_id": place_id,
            "country": "Netherlands",
            "region": "North Holland",
            "city": "Amsterdam"},
           [
               {"chat": 10,
                "turn": 1,
                "author": {"label": "jaap", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/jaap-1"},
                "utterance": "I think Lea hates cheese",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-25",
                "subject": {"label": "lea", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/lea-1"
                            },
                "predicate": {"label": "hate", "uri": "http://cltl.nl/leolani/n2mu/hate"},
                "object": {"label": "cheese", "type": ["food"],
                           "uri": "http://cltl.nl/leolani/world/cheese"
                           },
                "perspective": {
                    "certainty": 0.6,
                    "polarity": 1,
                    "sentiment": -1
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 10,
                "turn": 2,
                "author": {"label": "jaap", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/jaap-1"},
                "utterance": "Selene likes dancing",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-20",
                "subject": {"label": "selene", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/selene-1"
                            },
                "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
                "object": {"label": "dancing", "type": ["act"],
                           "uri": "http://cltl.nl/leolani/world/dancing"
                           },
                "perspective": {
                    "certainty": 0.8,
                    "polarity": 1,
                    "sentiment": 1
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 10,
                "turn": 3,
                "author": {"label": "jaap", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/jaap-1"},
                "utterance": "I have two teapots",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-18",
                "subject": {"label": "jaap", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/jaap-1"
                            },
                "predicate": {"label": "have", "uri": "http://cltl.nl/leolani/n2mu/have"},
                "object": {"label": "two-teapots", "type": ["artifact"],
                           "uri": "http://cltl.nl/leolani/world/two-teapots"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": 1,
                    "sentiment": 1
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 10,
                "turn": 4,
                "author": {"label": "jaap", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/jaap-1"},
                "utterance": "I don't like chocolate with sea salt",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-36",
                "subject": {"label": "jaap", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/jaap-1"
                            },
                "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
                "object": {"label": "chocolate-with-sea-salt", "type": ["food"],
                           "uri": "http://cltl.nl/leolani/world/chocolate-with-sea-salt"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": -1,
                    "sentiment": 0
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 10,
                "turn": 5,
                "author": {"label": "jaap", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/jaap-1"},
                "utterance": "I think Lea likes swimming and vikings",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-38",
                "subject": {"label": "lea", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/lea-1"
                            },
                "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
                "object": {"label": "swimming-and-vikings", "type": ["act"],
                           "uri": "http://cltl.nl/leolani/world/swimming-and-vikings"
                           },
                "perspective": {
                    "certainty": 0.2,
                    "polarity": 1,
                    "sentiment": 1
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 10,
                "turn": 6,
                "author": {"label": "jaap", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/jaap-1"},
                "utterance": "Tae speaks German",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-17",
                "subject": {"label": "tae", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/tae-1"
                            },
                "predicate": {"label": "speak", "uri": "http://cltl.nl/leolani/n2mu/speak"},
                "object": {"label": "german", "type": ["adj.all"],
                           "uri": "http://cltl.nl/leolani/world/german"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": 1,
                    "sentiment": 0
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
           ]
           )
context_id, start_date = getrandbits(8), date(2020, 9, 29)
chat_11 = ({"context_id": context_id,
            "date": start_date,
            "place": "Piek's office",
            "place_id": place_id,
            "country": "Netherlands",
            "region": "North Holland",
            "city": "Amsterdam"},
           [
               {"chat": 11,
                "turn": 1,
                "author": {"label": "tae", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/tae-1"},
                "utterance": "I like drinking beer",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-20",
                "subject": {"label": "tae", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/tae-1"
                            },
                "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
                "object": {"label": "drinking-beer", "type": ["interest"],
                           "uri": "http://cltl.nl/leolani/world/drinking-beer"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": 1,
                    "sentiment": 1
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 11,
                "turn": 2,
                "author": {"label": "tae", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/tae-1"},
                "utterance": "I am from South Korea",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-21",
                "subject": {"label": "tae", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/tae-1"
                            },
                "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                "object": {"label": "south-korea", "type": ["location"],
                           "uri": "http://cltl.nl/leolani/world/south-korea"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": 1,
                    "sentiment": 0
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 11,
                "turn": 3,
                "author": {"label": "tae", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/tae-1"},
                "utterance": "I ride a bike",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-13",
                "subject": {"label": "tae", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/tae-1"
                            },
                "predicate": {"label": "ride", "uri": "http://cltl.nl/leolani/n2mu/ride"},
                "object": {"label": "bike", "type": ["transportation"],
                           "uri": "http://cltl.nl/leolani/world/bike"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": 1,
                    "sentiment": 0
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 11,
                "turn": 4,
                "author": {"label": "tae", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/tae-1"},
                "utterance": "I hate rats",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-11",
                "subject": {"label": "Tae", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/tae-1"
                            },
                "predicate": {"label": "hate", "uri": "http://cltl.nl/leolani/n2mu/hate"},
                "object": {"label": "rats", "type": ["animal"],
                           "uri": "http://cltl.nl/leolani/world/rats"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": 1,
                    "sentiment": -1
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
               {"chat": 11,
                "turn": 5,
                "author": {"label": "tae", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/tae-1"},
                "utterance": "I do not drink beer",
                "utterance_type": UtteranceType.STATEMENT,
                "position": "0-19",
                "subject": {"label": "tae", "type": ["person"],
                            "uri": "http://cltl.nl/leolani/world/tae-1"
                            },
                "predicate": {"label": "drink", "uri": "http://cltl.nl/leolani/n2mu/drink"},
                "object": {"label": "beer", "type": ["interest"],
                           "uri": "http://cltl.nl/leolani/world/beer"
                           },
                "perspective": {
                    "certainty": 1,
                    "polarity": -1,
                    "sentiment": 0
                },
                "timestamp": datetime.combine(start_date, datetime.now().time()),
                "context_id": context_id
                },
           ]
           )

statements_old_team = [chat_1, chat_2, chat_3, chat_4, chat_5, chat_6, chat_7]
statements_new_team = [chat_8, chat_9, chat_10, chat_11]
statements = statements_old_team + statements_new_team

context_id, start_date = getrandbits(8), date(2020, 11, 3)
conflicting_statements = ({"context_id": context_id,
                           "date": start_date,
                           "place": "Piek's office",
                           "place_id": place_id,
                           "country": "Netherlands",
                           "region": "North Holland",
                           "city": "Amsterdam"},
                          [
                              {"chat": 12,
                               "turn": 1,
                               "author": {"label": "suzana", "type": ["person"],
                                          'uri': "http://cltl.nl/leolani/friends/suzana-1"},
                               "utterance": "Bram does not like romantic movies",
                               "utterance_type": UtteranceType.STATEMENT,
                               "position": "0-34",
                               "subject": {"label": "bram", "type": ["person"],
                                           "uri": "http://cltl.nl/leolani/world/bram-1"
                                           },
                               "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
                               "object": {"label": "romantic-movies", "type": ["film-genre"],
                                          "uri": "http://cltl.nl/leolani/world/romantic-movies"
                                          },
                               "perspective": {
                                   "certainty": 1,
                                   "polarity": -1,
                                   "sentiment": 0
                               },
                               "timestamp": datetime.combine(start_date, datetime.now().time()),
                               "context_id": context_id
                               },
                              {"chat": 12,
                               "turn": 2,
                               "author": {"label": "suzana", "type": ["person"],
                                          'uri': "http://cltl.nl/leolani/friends/suzana-1"},
                               "utterance": "Selene is from Peru",
                               "utterance_type": UtteranceType.STATEMENT,
                               "position": "0-19",
                               "subject": {"label": "selene", "type": ["person"],
                                           "uri": "http://cltl.nl/leolani/world/selene-1"
                                           },
                               "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                               "object": {"label": "peru", "type": ["location"],
                                          "uri": "http://cltl.nl/leolani/world/peru"
                                          },
                               "perspective": {
                                   "certainty": 1,
                                   "polarity": 1,
                                   "sentiment": 0
                               },
                               "timestamp": datetime.combine(start_date, datetime.now().time()),
                               "context_id": context_id
                               },
                          ]
                          )

context_id, start_date = getrandbits(8), date(2021, 1, 5)
questions = ({"context_id": context_id,
              "date": start_date,
              "place": "Piek's office",
              "place_id": place_id,
              "country": "Netherlands",
              "region": "North Holland",
              "city": "Amsterdam"},
             [
                 {"chat": 13,
                  "turn": 1,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Where is Bram from?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "bram", "type": [""],
                              "uri": "http://cltl.nl/leolani/world/bram-1"
                              },
                  "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                  "object": {"label": "", "type": [""],
                             "uri": ""
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 2,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Who is from Serbia?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "", "type": ["person"],
                              "uri": ""
                              },
                  "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                  "object": {"label": "serbia", "type": ["location"],
                             "uri": "http://cltl.nl/leolani/world/serbia"
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 3,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Where is Lenka from?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "lenka", "type": ["person"],
                              "uri": "http://cltl.nl/leolani/world/lenka-1"
                              },
                  "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                  "object": {"label": "", "type": ["location"],
                             "uri": ""
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 4,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Does Selene know Piek?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "selene", "type": ["person"],
                              "uri": "http://cltl.nl/leolani/world/selene-1"
                              },
                  "predicate": {"label": "know", "uri": "http://cltl.nl/leolani/n2mu/know"},
                  "object": {"label": "piek", "type": ["person"],
                             "uri": "http://cltl.nl/leolani/world/piek-1"
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 5,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Is Bram from the Netherlands?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "bram", "type": ["person"],
                              "uri": "http://cltl.nl/leolani/world/bram-1"
                              },
                  "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                  "object": {"label": "netherlands", "type": ["location"],
                             "uri": "http://cltl.nl/leolani/world/netherlands"
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 6,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Does Bram know Beyonce?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "bram", "type": ["person"],
                              "uri": "http://cltl.nl/leolani/world/bram-1"
                              },
                  "predicate": {"label": "know", "uri": "http://cltl.nl/leolani/n2mu/know"},
                  "object": {"label": "beyonce", "type": [""],
                             "uri": "http://cltl.nl/leolani/world/beyonce"
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 7,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Do you know Bram?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "leolani", "type": ["robot"],
                              "uri": "http://cltl.nl/leolani/world/leolani"
                              },
                  "predicate": {"label": "know", "uri": "http://cltl.nl/leolani/n2mu/know"},
                  "object": {"label": "bram", "type": ["person"],
                             "uri": "http://cltl.nl/leolani/world/bram-1"
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 8,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Does Selene know Piek?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "selene", "type": ["person"],
                              "uri": "http://cltl.nl/leolani/world/selene-1"
                              },
                  "predicate": {"label": "know", "uri": "http://cltl.nl/leolani/n2mu/know"},
                  "object": {"label": "piek", "type": ["person"],
                             "uri": "http://cltl.nl/leolani/world/piek-1"
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 9,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Where is Leolani from?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "leolani", "type": ["robot"],
                              "uri": "http://cltl.nl/leolani/world/leolani"
                              },
                  "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                  "object": {"label": "", "type": [""],
                             "uri": ""
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 10,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "Who is from italy?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "", "type": [""],
                              "uri": ""
                              },
                  "predicate": {"label": "be-from", "uri": "http://cltl.nl/leolani/n2mu/be-from"},
                  "object": {"label": "italy", "type": [""],
                             "uri": "http://cltl.nl/leolani/world/italy"
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  },
                 {"chat": 13,
                  "turn": 11,
                  "author": {"label": "joey", "type": ["person"], 'uri': "http://cltl.nl/leolani/friends/joey-1"},
                  "utterance": "what does Piek like?",
                  "utterance_type": UtteranceType.QUESTION,
                  "position": "",
                  "subject": {"label": "piek", "type": [""],
                              "uri": "http://cltl.nl/leolani/world/piek-1"
                              },
                  "predicate": {"label": "like", "uri": "http://cltl.nl/leolani/n2mu/like"},
                  "object": {"label": "", "type": [""],
                             "uri": ""
                             },
                  "timestamp": datetime.combine(start_date, datetime.now().time()),
                  "context_id": context_id
                  }
             ]
             )
context_id, start_date = getrandbits(8), date(2021, 1, 15)
experiences = ({"context_id": context_id,
                "date": start_date,
                "place": "Piek's office",
                "place_id": place_id,
                "country": "Netherlands",
                "region": "North Holland",
                "city": "Amsterdam"},
               [
                   {
                       "visual": 1,
                       "detection": 1,
                       "source": {"label": "front-camera", "type": ["sensor"],
                                  'uri': "http://cltl.nl/leolani/inputs/front-camera"},
                       "image": None,
                       "utterance_type": UtteranceType.EXPERIENCE,
                       "region": [752, 46, 1148, 716],
                       "item": {'label': 'chair 1', 'type': ['chair'], 'id': 1,
                                'uri': "http://cltl.nl/leolani/world/chair-1"},
                       'confidence': 0.68,
                       "timestamp": datetime.combine(start_date, datetime.now().time()),
                       "context_id": context_id
                   },
                   {
                       "visual": 1,
                       "detection": 2,
                       "source": {"label": "front-camera", "type": ["sensor"],
                                  'uri': "http://cltl.nl/leolani/inputs/front-camera"},
                       "image": None,
                       "utterance_type": UtteranceType.EXPERIENCE,
                       "region": [752, 46, 1148, 716],
                       "item": {'label': 'apple 1', 'type': ['fruit'], 'id': 1,
                                'uri': "http://cltl.nl/leolani/world/apple-1"},
                       'confidence': 0.98,
                       "timestamp": datetime.combine(start_date, datetime.now().time()),
                       "context_id": context_id
                   },
                   {
                       "visual": 1,
                       "detection": 2,
                       "source": {"label": "front-camera", "type": ["sensor"],
                                  'uri': "http://cltl.nl/leolani/inputs/front-camera"},
                       "image": None,
                       "utterance_type": UtteranceType.EXPERIENCE,
                       "region": [752, 46, 1700, 716],
                       "item": {'label': 'Carl', 'type': ['person'], 'id': None,
                                'uri': "http://cltl.nl/leolani/world/carl-1"},
                       'confidence': 0.94,
                       "timestamp": datetime.combine(start_date, datetime.now().time()),
                       "context_id": context_id
                   }
               ]
               )

context_id, start_date = getrandbits(8), date(2022, 1, 15)
mentions = ({"context_id": context_id,
             "date": start_date,
             "place": "Piek's office",
             "place_id": place_id,
             "country": "Netherlands",
             "region": "North Holland",
             "city": "Amsterdam"},
            [
                {
                    "visual": 1,
                    "detection": 1,
                    "source": {"label": "front-camera", "type": ["sensor"],
                               'uri': "http://cltl.nl/leolani/inputs/front-camera"},
                    "image": None,
                    "utterance_type": UtteranceType.IMAGE_MENTION,
                    "region": [712, 46, 1128, 716],
                    "item": {'label': "Piek's laptop", 'type': ['object', 'laptop'], 'id': 1,
                             'uri': "http://cltl.nl/leolani/world/laptop-1"},
                    "perspective": {"certainty": 68},
                    "timestamp": datetime.combine(start_date, datetime.now().time()),
                    "context_id": context_id
                },
                {
                    "visual": 1,
                    "detection": 2,
                    "source": {"label": "front-camera", "type": ["sensor"],
                               'uri': "http://cltl.nl/leolani/inputs/front-camera"},
                    "image": None,
                    "utterance_type": UtteranceType.IMAGE_MENTION,
                    "region": [752, 36, 1148, 714],
                    "item": {'label': 'potted plant', 'type': ['plant'], 'id': 1,
                             'uri': "http://cltl.nl/leolani/world/potted-plant-1"},
                    "perspective": {"certainty": 98},
                    "timestamp": datetime.combine(start_date, datetime.now().time()),
                    "context_id": context_id
                },
                {
                    "visual": 1,
                    "detection": 3,
                    "source": {"label": "front-camera", "type": ["sensor"],
                               'uri': "http://cltl.nl/leolani/inputs/front-camera"},
                    "image": None,
                    "utterance_type": UtteranceType.IMAGE_MENTION,
                    "region": [557, 66, 700, 786],
                    "item": {'label': "Lea's desk", 'type': ['desk', 'furniture'], 'id': 1,
                             'uri': "http://cltl.nl/leolani/world/desk-1"},
                    "perspective": {"certainty": 94},
                    "timestamp": datetime.combine(start_date, datetime.now().time()),
                    "context_id": context_id
                },
                {
                    "chat": 1,
                    "turn": 1,
                    "author": {"label": "carl", "type": ["person"],
                               'uri': "http://cltl.nl/leolani/friends/carl-1"},
                    "utterance": "That looks like a bonsai tree.",
                    "utterance_type": UtteranceType.TEXT_MENTION,
                    "position": "0-25",
                    "item": {'label': 'bonsai tree', 'type': ['plant'], 'id': 1,
                             'uri': "http://cltl.nl/leolani/world/carl-1"},
                    "perspective": {"certainty": 84},
                    "timestamp": datetime.now(),
                    "context_id": context_id
                }
            ]
            )

visuals = ['laptop computer', 'pay-station', 'notebook', 'flowerpot', 'pot', 'tv', 'espresso maker', 'pay-phone',
           'desk', 'printer', 'tool kit', "carpenter's kit", 'chair', 'potted plant', "potter's wheel",
           'notebook computer', 'laptop']

sample_coco = ['Bag', 'backpack', 'handbag', 'suitcase', 'umbrella', 'tie', 'Animal', 'bird', 'cat', 'dog', 'horse',
               'sheep', 'cow', 'elephant', 'bear', 'zebra', 'giraffe', 'Food', 'banana', 'apple', 'orange', 'carrot',
               'broccoli', 'cake', 'pizza', 'hot dog', 'donut', 'sandwich', 'Sports', 'tennis racket',
               'badminton racket', 'baseball bat', 'kite', 'snowboard', 'ball', 'basketball', 'Furniture', 'chair',
               'sofa', 'bed', 'toilet', 'couch', 'fridge', 'Office', 'keyboard', 'mouse', 'cellphone', 'tv', 'laptop',
               'Miscellaneous', 'Book', 'clock']

name = 'Leolani'
places = ['Forest', 'Playground', 'Monastery', 'House', 'University', 'Hotel', 'Office']
friends = ['Piek', 'Lenka', 'Bram', 'Suzana', 'Selene', 'Lea', 'Thomas', 'Jaap', 'Tae']
